import re
from numpy import *

def vytvor_list(subor):
	k=0
	f=open(subor)
	staty=[]
	tabulka=[]
	for riadok in f.readlines():
		if re.search(r"span class=\"flagicon\"",riadok):
			st= re.search(r"(title=\")(\w*\s*\w*\s*\w*\s*\w*\s*\w*)",riadok)
			if st: staty.append(st.group(2))
		tab = re.search(r"(\<td\>)(.*)(\<\/td\>)",riadok)
		if tab: tabulka.append(tab.group(2))
	f.close

	###specialne staty ktore maju necitatelne znaky
	staty[191] = "Sao Tome and Principe"
	staty[226] = "Aland Islands"
	staty[162] = "Reunion, France"
	###
	pocty = []
	datum = []
	for i in range(len(tabulka)):
		if i%4 ==1: pocty.append(float(re.sub(",","",tabulka[i])))
		if i%4 ==2: 
			m = re.search(u"\d*$", tabulka[i])
			datum.append(m.group(0))
	slovnik = {}
	for i in range(len(datum)):
		if float(datum[i]) > 2011: 
			slovnik[staty[i]]= pocty[i]
	return slovnik
	
def statistika(subor,n):
	slovnik = vytvor_list(subor)
	cesko = slovnik["Czech Republic"]
	hodnota = n*cesko
	z = [[],[]]
	for line in slovnik.values():
		z[0].append(line)
		z[1].append(abs(line-hodnota))	
	vysledok = [k for k, v in slovnik.iteritems() if v == z[0][argmin(z[1])]][0]
	return vysledok, slovnik[vysledok]


print statistika("countries.html",0.5)


